%global _empty_manifest_terminate_build 0
Name:           python-packaging
Version:        21.3
Release:        2
Summary:        Core utilities for Python packages
License:        BSD and ASL 2.0
URL:            https://github.com/pypa/packaging
Source0:        https://files.pythonhosted.org/packages/df/9e/d1a7217f69310c1db8fdf8ab396229f55a699ce34a203691794c5d1cad0c/packaging-21.3.tar.gz
BuildArch:      noarch
%description
Reusable core utilities for various Python Packaging interoperability specifications.

This library provides utilities that implement the interoperability specifications which have clearly one correct behaviour (eg: PEP 440) or benefit greatly from having a single shared implementation (eg: PEP 425).

The packaging project includes the following: version handling, specifiers, markers, requirements, tags, utilities.

%package -n python3-packaging
Summary:        Core utilities for Python packages
Provides:       python-packaging
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-pretend
BuildRequires:  python3-pytest
BuildRequires:  python3-pyparsing
Requires:       python3-pyparsing
%description -n python3-packaging
Reusable core utilities for various Python Packaging interoperability specifications.

This library provides utilities that implement the interoperability specifications which have clearly one correct behaviour (eg: PEP 440) or benefit greatly from having a single shared implementation (eg: PEP 425).

The packaging project includes the following: version handling, specifiers, markers, requirements, tags, utilities.

%package help
Summary:        Core utilities for Python packages
Provides:       python3-packaging-doc
%description help
Reusable core utilities for various Python Packaging interoperability specifications.

This library provides utilities that implement the interoperability specifications which have clearly one correct behaviour (eg: PEP 440) or benefit greatly from having a single shared implementation (eg: PEP 425).

The packaging project includes the following: version handling, specifiers, markers, requirements, tags, utilities.

%prep
%autosetup -n packaging-%{version}

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} -m pytest tests/

%files -n python3-packaging -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Oct 26 2022 zhuofeng <zhuofeng2@hhuawei.com> - 21.3-2
- fix bogus date in changelog

* Tue Dec 21 2021 shangyibin <shangyibin1@huawei.com> - 21.3-1
- Upgrade to version 21.3

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 20.9-1
- Upgrade to version 20.9

* Mon Feb 01 2021 shangyibin <shangyibin1@huawei.com> - 20.8-1
- Upgrade to version 20.8

* Thu Aug 06 2020 lingsheng <lingsheng@huawei.com> - 20.4-2
- Remove python2-packaging subpackage

* Fri Jul 24 2020 tianwei <tianwei122@huawei.com> - 20.4-1
- Package update to release 20.4

* Tue Nov 26 2019 Ling Yang <lingyang2@huawei.com> - 17.1-2
- Package init
